Subject: Re: [PATCH v4] submodule merge: update conflict error message

From: Junio C Hamano <[email-masked]>
Date: Wed, 13 Jul 2022 11:11:39 -0700

Calvin Wan <[email-masked]> writes:

> Changes since v3:
> Thank you again Elijah for the helpful feedback! I have removed any code
> touching merge-recursive.c, and refactored the rest into merge-ort.c.
> The error message has been updated as well as any relevant test cases. I
> had added a jump in v3 to "ret:" in merge_submodule() to accomodate
> early returns, but this has been proven to not be necessary since an
> early return means the submodule was either renamed or deleted, and this
> case is already taken care of with the message "CONFLICT (modify/delete):"

Unfortunately a34edae6 (merge-ort: split out a separate
display_update_messages() function, 2022-06-18) moves the code this
patch touches to a separate function.

If this is now an ort-specific topic by dropping merge-recursive
support, perhaps we'd need to coordinate with the other branch.

I think en/merge-tree is ready to be merged down to 'master' in a
few days, so I'll wait for [v5] of this patch after that happens.

Thanks.